<div class="row">
    <div class="column" style="width:50%; display:flex;">
        <div class="side-item fontSize topic" style="font-size: 18px;">
            <div style="display: flex;margin-right: 10px;cursor: pointer;" routerLink="/report">
                <img src="../../../../assets/img/icons/icon-chart.png" style="margin-right: 10px;">รายงานการเช็คชื่อ </div>/ {{list.getTitleList().name}}
        </div>
    </div>
    <div class="column1" style="width:50%;display:flex;">
        <mat-form-field appearance="outline" class="search">
            <mat-label>Search</mat-label>
            <input matInput (keyup)="applyFilter($event.target.value)">
            <mat-icon matSuffix class="fontSize">search</mat-icon>
        </mat-form-field>

    </div>
</div>
<div class="side"></div>
<br>
<div class="report" style="background-color: rgba(196, 193, 193, 0.568); border-radius: 50px 0px 0px 50px;">
    <div class="report-text">
        <div style="margin-right: 30px;display: flex;">ทันเวลา <div
                style=" display: flex;margin-left: 10px;margin-right: 10px;">
                {{sumReport.onTime}}</div> คน</div>
        <div style="margin-right: 30px;display: flex;">สาย <div
                style="display: flex;margin-left: 10px;margin-right: 10px;">
                {{sumReport.late}}</div> คน</div>
        <div style="display: flex;">ขาดเรียน <div
                style="display: flex;margin-left: 10px;margin-right: 10px;color: red;">
                {{sumReport.absent}}</div> คน</div>
    </div>

</div>

<div class="mat-elevation-z1" style="width: 95%;margin: auto;margin-bottom: 50px;">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ลำดับ </th>
            <td mat-cell *matCellDef="let row" class="table-list" routerLink="/reportMember"
                (click)="onClickUpdateReportMember(row)"> {{row.id}} </td>
        </ng-container>

        <ng-container matColumnDef="username">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> รหัสผู้ใช้ </th>
            <td mat-cell *matCellDef="let row" class="table-list" routerLink="/reportMember"
                (click)="onClickUpdateReportMember(row)"> {{row.username}} </td>
        </ng-container>


        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ชื่อ - นามสกุล </th>
            <td mat-cell *matCellDef="let row" class="table-list" routerLink="/reportMember"
                (click)="onClickUpdateReportMember(row)"> {{row.name}} </td>
        </ng-container>


        <ng-container matColumnDef="statusCheck">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="table-head"> ผลการเช็คชื่อ </th>
            <td mat-cell *matCellDef="let row" class="table-list" routerLink="/reportMember"
                (click)="onClickUpdateReportMember(row)">
                <div *ngIf="row.statusCheck=='ลากิจ'||row.statusCheck=='ลาป่วย'||row.statusCheck=='ไม่ส่งใบลา'"
                    style="color: red;">{{row.statusCheck}}</div>
                <div *ngIf="row.statusCheck!='ลากิจ'&&row.statusCheck!='ลาป่วย'&&row.statusCheck!='ไม่ส่งใบลา'">
                    {{row.statusCheck}}</div>
            </td>
        </ng-container>




        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr class="example-element-row" mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>

</div>
<router-outlet></router-outlet>